# $Revision: 1.112 $, $Date: 2006/04/06 19:19:52 $
#
# Conditional build
#
# --with aalib		- with aalib video output
# --without alsa	- disable ALSA support
# --with arts		- with aRts support
# --with caca		- with libcaca video output
# --with cdparanoia	- support CDDA reading using cdparanoia
# --with debug		- enable full debugging info
# --with directfb	- with DirectFB video output
# --with divx4linux	- with external divx4linux codec (DivX4Linux)
# --without dshow	- disable support for DirectShow codecs
# --without dts		- without DTS codec
# --with dvb		- with DVB video input/output
# --with dvdnav		- enable experimental dvdnav support (NEW)
# --with dxr3		- with DXR3 video output
# --with dynamic_plugins- enable dynamic a/v plugins
# --with esd		- with EsounD support
# --with faac		- with FAAC encoding support
# --with faad2		- with external FAAD2(AAC) codec
# --without fbdev	- without FBDev video output
# --without fontconfig	- disable fontconfig support
# --with fribidi	- with fribidi support
# --without ft2		- disable freetype2 fonts support for OSD and subtitles
# --with ggi		- with GGI video output
# --without gif		- without GIF89a input/output support
# --without gl		- with OpenGL video output
# --without gui		- don't build gui gtk+ interface
# --with jack		- enable JACK support
# --with joystick	- enable joystick support
# --without jpeg	- without JPEG input/output support
# --with ladspa		- enable LADSPA support
# --with libdv		- enable libdv support
# --with lirc		- enable lirc support
# --without live	- enable LIVE555.com library support
# --with lzo		- with external LZO codec
# --with mad		- with MAD support
# --without mga		- disable MGA video output
# --without menu	- disable OSD menu
# --without mpdvdkit	- disable internal mpdvdkit
# --with openal		- with OpenAL audio output
# --with polyp		- with Polypaudio audio output
# --without png		- without PNG input/output support (enabled automatically for GUI)
# --without qt		- disable support for QuickTime codecs
# --without real	- disable support for RealPlayer codecs
# --with sdl		- with SDL video/audio output
# --without select	- disable audio select() support
# --with smb		- enable Samba (libsmbclient) support
# --with speex		- with Speex codec
# --with svga		- with svgalib video output
# --without tdfxfb	- disable tdfxfb video output
# --without theora	- disable Ogg Theora codec
# --with toolame	- with tooLAME codec
# --with twolame	- with TwoLAME codec
# --with vc1		- with reference VC1 decoder from SMPTE
# --without vidix	- without vidix video output
# --with vorbis		- with external Ogg Vorbis codec
# --without win32	- disable support for win32 codecs
# --without x264	- disable x264 encoder
# --without xanim	- disable support for XAnim codecs
# --without xmga	- disable X11 MGA video output
# --with xmms		- enable XMMS input plugins support
# --without xvmc	- without XvMC video output
# --without xvid	- without external xvid codec

%define name mplayer
%define fname MPlayer
%define version 1.0pre8
%if %{?nightly:1}%{!?nightly:0}
%define cvsbuild %(date +%Y%m%d)
%else
%define cvsbuild 20060406
%endif
%define amr_ver 26104-610
%define amrwb_ver 26204-600

%define rel 6

%define cvs 1

%if%{cvs}
%define fversion %{cvsbuild}
%define release 0.%{rel}.%{cvsbuild}
%else
%define fversion %{version}
%define release %{rel}
%endif

%if %(rpm -q redhat-release >>/dev/null && echo 1 || echo 0)
 %define _distro rh%(rpm -q --queryformat '%{VERSION}' redhat-release | gawk '{ print int($1+0.5) }')
%endif
%if %(rpm -q fedora-release >>/dev/null && echo 1 || echo 0)
 %define _distro fc%(rpm -q --queryformat '%{VERSION}' fedora-release | gawk '{ print int($1+0.5) }')
%endif
%if %(rpm -q whitebox-release >>/dev/null && echo 1 || echo 0)
 %define _distro wb%(rpm -q --queryformat '%{VERSION}' whitebox-release | gawk '{ print int($1+0.5) }')
%endif

%{!?_distro:%define _distro xx0}

%ifnarch %{ix86}
%define		_without_win32	1
%endif

%ifarch sparc64 sparc x86_64
%define		_without_vidix	1
%define		_without_xanim	1
%define		_without_real	1
%endif

%if%{!?_without_gui:1}%{?_without_gui:0}
%define		_with_png	1
%endif

%if%{?_without_win32:1}%{!?_without_win32:0}
%define		_without_dshow	1
%define		_without_qt	1
%endif

%if%{?_with_debug:1}%{!?_with_debug:0}
%define         __os_install_post       /usr/lib/rpm/brp-compress %{nil}
%endif

# The language to use in mplayer: all, or one of: cz de dk en es fr hu nl no pl ro ru
%{!?mplang:%define	mplang		all}

%define _codecsdir	%{_libdir}/codecs

Summary: MPlayer - The Movie Player
Name: %{name}
Version: %{version}
Release: %{release}%{?_with_debug:dbg}
Epoch: 5
URL: http://www.mplayerhq.hu
Group: Applications/Multimedia
License: GPL
Source0: http://www2.mplayerhq.hu/MPlayer/releases/%{fname}-%{fversion}.tar.bz2
Source4: http://icculus.org/~jcspray/gnome-mplayer.png
Source5: http://www.mplayerhq.hu/MPlayer/contrib/svgalib/svgalib_helper-1.9.23-mplayer.tar.bz2
Source6: http://www1.mplayerhq.hu/MPlayer/Skin/Blue-1.4.tar.bz2
Source10: http://www.3gpp.org/ftp/Specs/latest/Rel-6/26_series/%{amr_ver}.zip
Source11: http://www.3gpp.org/ftp/Specs/latest/Rel-6/26_series/%{amrwb_ver}.zip
Source20: VC1_reference_decoder_release6.zip
Source21: http://multimedia.cx/eggs/libvc1-makefile.txt
Source22: http://multimedia.cx/eggs/smpte-vc1.c
Source30: http://members.chello.hu/dc/mplayer/mplayer-dvdnav-patch.tar.gz
Patch1: %{name}-rpm-cvs.patch
Patch2: %{name}-rpm-release.patch
%if %{?nightly:0}%{!?nightly:1}
Patch5: %{name}-lavc.patch
#Patch6: %{name}-gui.patch
Patch7: %{name}-libmpdvdkit2.patch
Patch8: %{name}-warnings.patch
Patch9: %{name}-loader.patch
Patch10: %{name}-loader-printf.patch
Patch11: %{name}-printf.patch
%endif
Patch13: %{name}-tremor.patch
Patch14: vo_x11_colfix.diff
Patch15: %{name}-amr.patch
Patch16: %{name}-liba52.patch
Patch17: %{name}-nolame.patch
Patch20: %{name}-vc1.patch
Patch30: liba52_update.diff
Patch40: %{name}-ass.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: audiofile-devel
BuildRequires: desktop-file-utils
%if %{_distro} == fc4
BuildRequires: kernel-devel
%endif
%if %{_distro} == fc5
BuildRequires: kernel-devel
%endif
%{!?_without_lame:BuildRequires:        lame-devel}
BuildRequires: ncurses-devel
BuildRequires: unzip
%if %{_distro} == fc5
BuildRequires: libX11-devel
BuildRequires: libXv-devel
BuildRequires: libXinerama-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libXxf86vm-devel
%else
BuildRequires: xorg-x11-devel
%endif
BuildRequires: zlib-devel
%if%{cvs}
# for XML docs
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: libxml2
BuildRequires: libxslt
BuildRequires: make
#
%endif
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
%{?_with_arts:BuildRequires:		arts-devel}
%{?_with_aalib:BuildRequires:		aalib-devel}
%{?_with_caca:BuildRequires:		libcaca-devel}
%{?_with_cdparanoia:BuildRequires:	cdparanoia-devel}
%{?_with_directfb:BuildRequires:	directfb-devel}
%{?_with_divx4linux:BuildRequires:	divx4linux-devel}
%{!?_without_dts:BuildRequires:		libdts-devel}
%{?_with_dxr3:BuildRequires:		em8300-devel}
%{?_with_enca:BuildRequires:		enca-devel}
%{?_with_esd:BuildRequires:		esound-devel}
%{?_with_faac:BuildRequires:		faac-devel}
%{?_with_faad:BuildRequires:		faad2-devel}
%{!?_without_fontconfig:BuildRequires:	fontconfig-devel}
%{?_with_fribidi:BuildRequires:		fribidi-devel}
%{!?_without_ft2:BuildRequires:		freetype-devel}
%{?_with_ggi:BuildRequires:		libggi-devel}
%{!?_without_gif:BuildRequires:		libungif-devel}
%if %{_distro} == fc5
%{!?_without_gl:BuildRequires:		mesa-libGL-devel}
#%{!?_without_gl:BuildRequires:		mesa-libGLU-devel}
#%{!?_without_gl:BuildRequires:		mesa-libGLw-devel}
%else
%{!?_without_gl:BuildRequires:		Mesa-devel}
%endif
%{!?_without_gui:BuildRequires:		gtk2-devel}
%{?_with_jack:BuildRequires:		jack-devel}
%{!?_without_jpeg:BuildRequires:	libjpeg-devel}
%{?_with_ladspa:BuildRequires:		ladspa-devel}
%{?_with_libdv:BuildRequires:		libdv-devel}
%{?_with_lirc:BuildRequires:		lirc-devel}
%{!?_without_live:BuildRequires:	live-devel}
%{?_with_lzo:BuildRequires:		lzo-devel}
%{?_with_mad:BuildRequires:		libmad-devel}
%{?_with_openal:BuildRequires:		openal-devel}
%{?_with_polyp:BuildRequires:		polypaudio-devel}
%{?_with_sdl:BuildRequires:		SDL-devel}
%{?_with_smb:BuildRequires:		samba}
%{?_with_speex:BuildRequires:		speex-devel >= 1.1}
%{?_with_svga:BuildRequires:		svgalib-devel}
%{!?_without_png:BuildRequires:		libpng-devel}
%{!?_without_theora:BuildRequires:	libtheora-devel}
%{?_with_toolame:BuildRequires:		toolame-devel}
%{?_with_twolame:BuildRequires:		twolame-devel}
%{?_with_vorbis:BuildRequires:		libvorbis-devel}
%{!?_without_x264:BuildRequires:	x264-devel}
%{?_with_xmms:BuildRequires:		xmms-devel}
%{!?_without_xvid:BuildRequires:	xvidcore-devel}
%if %{_distro} == fc5
%{!?_without_xvmc:BuildRequires:	libXvMC-devel}
%else
%{!?_without_xvmc:BuildRequires:	libXvMCW-devel}
%endif
Obsoletes: %{name}-common
Requires: urw-fonts

%description
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and QuickTime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

%package gui
Group: Applications/Multimedia
Summary: MPlayer with GUI interface
Requires: %{name} = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-skin-default

%description gui
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and QuickTime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This is the GUI version of MPlayer.

%package -n mencoder
Group: Applications/Multimedia
Summary: MEncoder - The Movie Encoder
Requires: mplayer = %{epoch}:%{version}-%{release}

%description -n mencoder
MEncoder a movie encoder for LINUX and is a part of the MPlayer package.

%package vidix
Group: Applications/Multimedia
Summary: VIDeo Interface for *nIX
Requires: mplayer = %{epoch}:%{version}-%{release}
Obsoletes: mplayer-vidix-3DLabs
Obsoletes: mplayer-vidix-ATI-Mach64
Obsoletes: mplayer-vidix-ATI-Radeon
Obsoletes: mplayer-vidix-ATI-Rage128
Obsoletes: mplayer-vidix-Matrox
Obsoletes: mplayer-vidix-nVidia
Obsoletes: mplayer-vidix-SiS
Obsoletes: mplayer-vidix-S3
Obsoletes: mplayer-vidix-Trident
Obsoletes: mplayer-vidix-VIA

%description vidix
VIDIX is the abbreviation for VIDeo Interface for *niX.
VIDIX was designed and introduced as an interface for fast user-space
drivers providing DGA everywhere where it's possible (unlike X11).
I hope that these drivers will be as portable as X11 (not only on *nix).
* What is it: It's a portable successor of mga_vid technology, but it's
  located in user-space.
* Unlike X11 it provides DGA everywhere it's possible
* Unlike v4l it provides interface for video playback
* Unlike linux's drivers it uses the math library

This package contains drivers for:
* 3DLabs GLINT R3/Permedia3
* ATI Mach64
* ATI Radeon
* ATI Rage128
* Matrox Gxxx series (using BES and CRTC2)
* nVidia chips (experimental)
* SiS chips (experimental)
* S3 Savage chips (experimental)
* Trident Cyberblade i1
* VIA CLE266

%prep
%setup -q -n %{fname}-%{fversion} -a 6 -a 10 -a 11 %{?_with_vc1:-a 20} %{?_with_dvdnav:-a 30}
rm %{amr_ver}.doc
unzip -qq %{amr_ver}?ANSI?C?source_code.zip
mv c-code libavcodec/amr_float
rm %{amr_ver}?ANSI?C?source_code.zip
rm %{amrwb_ver}.doc
unzip -qq %{amrwb_ver}?ANSI?C?source_code.zip
mv c-code libavcodec/amrwb_float
rm -f readme.txt
rm %{amrwb_ver}?ANSI?C?source_code.zip
pushd libdha
bzip2 -dc %{SOURCE5} | tar -xf -
popd
%if 0%{?_with_vc1:1}
mkdir libavcodec/libvc1
mv VC1_reference_decoder_release6/{decoder,shared}/*.{c,h} libavcodec/libvc1/
rm -rf VC1_reference_decoder_release6
cp %{SOURCE21} libavcodec/libvc1/Makefile
cp %{SOURCE22} libavcodec/
%endif
%if 0%{?_with_dvdnav:1}
mv mplayer-dvdnav-patch/mplayer-add/libmpcodecs/* ./libmpcodecs/
mv mplayer-dvdnav-patch/mplayer-add/libmpdemux/* ./libmpdemux/
mv mplayer-dvdnav-patch/mplayer-add/libmpdvdnav ./
patch -p0 -b --suffix .dvdnav < mplayer-dvdnav-patch/navmplayer.patch
patch -p0 -b --suffix .dvdnav-gui < mplayer-dvdnav-patch/navgui.patch
%endif
%if%{cvs}
%patch1 -p1 -b .r
%else
%patch2 -p1 -b .r
%endif
%if %{?nightly:0}%{!?nightly:1}
%patch5 -p1 -b .lavc
#%{!?_without_gui:%patch6 -p1 -b .gui}
%patch7 -p1 -b .mpdvdkit2
%patch8 -p1 -b .warn
%patch9 -p1 -b .loader
%patch10 -p1 -b .loader-printf
%patch11 -p1 -b .printf
%endif
%patch13 -p1 -b .tre
%ifarch sparc sparc64
%patch14 -p0 -b .colfix
%endif
%patch15 -p1 -b .amr
%patch16 -p1 -b .a52
%patch17 -p1 -b .nolame
%if 0%{?_with_vc1:1}
%patch20 -p1 -b .vc1
%endif
%patch30 -p0 -b .a52u
%patch40 -p0 -b .ass

%build
%if %{!?_with_debug:1}%{?_with_debug:0}
# this is equivalent to -O3
#" -W -Wfloat-equal"
CFLAGS="-Wall -Wno-uninitialized -Wno-unused-parameter -Wno-unused-variable -Wno-unused-function -Wno-unused-label -Wno-trigraphs -Wno-pointer-sign"
CFLAGS="$CFLAGS $RPM_OPT_FLAGS -ffast-math -finline-functions -funswitch-loops -fgcse-after-reload"
CFLAGS="$CFLAGS -pipe"
%else
CFLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-O. //' -e 's/-mcpu=.+ //' -e 's/-march=.+ //' -e 's/-mcpu=.+ //'`
%endif
export CFLAGS
LC_MESSAGES=C ; export LC_MESSAGES

# build GUI version
%if %{!?_without_gui:1}%{?_without_gui:0}
./configure \
			--enable-gui --disable-mencoder \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--libdir=%{_libdir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=%{mplang} \
%{?_with_debug:		--enable-debug=3} \
%ifarch i386
			--enable-runtime-cpudetection \
%endif
%ifarch sparc64
			--with-extralibdir="/lib64:/usr/lib64:/usr/X11R6/lib64" \
%endif
			--enable-largefiles \
%{!?_with_aalib:	--disable-aa} \
%{?_without_alsa:	--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_caca:		--disable-caca} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{?_with_directfb:	--enable-directfb} \
%{!?_with_directfb:	--disable-directfb} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{?_without_dts:	--disable-libdts} \
%{!?_with_dvb:		--disable-dvb --disable-dvbhead} \
%{?_with_dvdnav:	--enable-dvdnav} \
%{!?_with_dxr3:		--disable-dxr3} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_enca:		--disable-enca} \
%{!?_with_esd:		--disable-esd} \
%{!?_with_faac:		--disable-faac} \
%{?_with_faad2:		--disable-internal-faad} \
%{!?_without_fbdev:	--enable-fbdev} \
%{?_without_fbdev:	--disable-fbdev} \
%{?_without_fontconfig:	--disable-fontconfig} \
%{!?_with_fribidi:	--disable-fribidi} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{?_without_gif:	--disable-gif} \
%{?_without_gl:		--disable-gl} \
%{!?_with_jack:		--disable-jack} \
%{?_with_joystick:	--enable-joystick} \
%{!?_with_joystick:	--disable-joystick} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_ladspa:	--disable-ladspa} \
%{!?_with_libdv:	--disable-libdv} \
%{?_with_lirc:		--enable-lirc} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{?_without_live:	--disable-live} \
%{!?_with_mad:		--disable-mad} \
%{!?_without_menu:	--enable-menu} \
%{!?_without_mga:	--enable-mga} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{!?_with_openal:	--disable-openal} \
%{!?_with_polyp:	--disable-polyp} \
%{?_without_qt:		--disable-qtx} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_codecsdir}} \
%{!?_with_sdl:		--disable-sdl} \
%{?_without_select:	--disable-select} \
%{!?_with_smb:		--disable-smb} \
%{!?_with_speex:	--disable-speex} \
%{!?_with_svga:		--disable-svga} \
%{!?_without_tdfxfb:	--enable-tdfxfb} \
%{?_without_theora:	--disable-theora} \
%{!?_with_toolame:	--disable-toolame} \
%{!?_with_twolame:	--disable-twolame} \
%{?_without_vidix:	--disable-internal-vidix --disable-external-vidix} \
%{?_with_vorbis:	--disable-internal-tremor} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_codecsdir}} \
%{?_without_x264:	--disable-x264} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_codecsdir}} \
%{!?_without_xmga:	--enable-xmga} \
%{?_with_xmms:		--enable-xmms} \
%{?_without_xvid:	--disable-xvid} \
%{?_without_xvmc:	--disable-xvmc} \
%{!?_without_xvmc:	--enable-xvmc --with-xvmclib=XvMCW}

%{__make} %{?_smp_mflags}
mv -f mplayer gmplayer
%{__make} distclean

echo Here be dragonz warning

%endif

# now build regular version
./configure \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--libdir=%{_libdir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=%{mplang} \
%{?_with_debug:		--enable-debug=3} \
%ifarch i386
			--enable-runtime-cpudetection \
%endif
%ifarch sparc64
			--with-extralibdir=/lib64:/usr/lib64:/usr/X11R6/lib64 \
%endif
			--enable-largefiles \
%{!?_with_aalib:	--disable-aa} \
%{?_without_alsa:	--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_caca:		--disable-caca} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{?_with_directfb:	--enable-directfb} \
%{!?_with_directfb:	--disable-directfb} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{?_without_dts:	--disable-libdts} \
%{!?_with_dvb:		--disable-dvb} \
%{?_with_dvdnav:	--enable-dvdnav} \
%{!?_with_dxr3:		--disable-dxr3} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_enca:		--disable-enca} \
%{!?_with_esd:		--disable-esd} \
%{!?_with_faac:		--disable-faac} \
%{?_with_faad2:		--disable-internal-faad} \
%{!?_without_fbdev:	--enable-fbdev} \
%{?_without_fbdev:	--disable-fbdev} \
%{?_without_fontconfig:	--disable-fontconfig} \
%{!?_with_fribidi:	--disable-fribidi} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{?_without_gif:	--disable-gif} \
%{?_without_gl:		--disable-gl} \
%{!?_with_jack:		--disable-jack} \
%{?_with_joystick:	--enable-joystick} \
%{!?_with_joystick:	--disable-joystick} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_ladspa:	--disable-ladspa} \
%{!?_with_libdv:	--disable-libdv} \
%{?_with_lirc:		--enable-lirc} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{?_without_live:	--disable-live} \
%{!?_with_mad:		--disable-mad} \
%{!?_without_menu:	--enable-menu} \
%{!?_without_mga:	--enable-mga} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{!?_with_openal:	--disable-openal} \
%{!?_with_polyp:	--disable-polyp} \
%{?_without_qt:		--disable-qtx} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_codecsdir}} \
%{!?_with_sdl:		--disable-sdl} \
%{?_without_select:	--disable-select} \
%{!?_with_smb:		--disable-smb} \
%{!?_with_svga:		--disable-svga} \
%{!?_without_tdfxfb:	--enable-tdfxfb} \
%{?_without_theora:	--disable-theora} \
%{!?_with_toolame:	--disable-toolame} \
%{!?_with_twolame:	--disable-twolame} \
%{?_without_vidix:	--disable-internal-vidix --disable-external-vidix} \
%{?_with_vorbis:	--disable-internal-tremor} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_codecsdir}} \
%{?_without_x264:	--disable-x264} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_codecsdir}} \
%{!?_without_xmga:	--enable-xmga} \
%{?_with_xmms:		--enable-xmms} \
%{?_without_xvid:	--disable-xvid} \
%{?_without_xvmc:	--disable-xvmc} \
%{!?_without_xvmc:	--enable-xvmc --with-xvmclib=XvMCW}

%{__make} %{?_smp_mflags}

%if%{cvs}
# build HTML documentation from XML files
pushd DOCS/xml
%{__make} html-chunked
popd
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%if%{cvs}
find . -name CVS | xargs rm -rf
%endif
%{__make} \
	DESTDIR=$RPM_BUILD_ROOT \
	STRIPBINARIES=no \
	install

# install configs
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/%{name}}
sed -e 's/include =.*//' < etc/example.conf | sed -e 's/fs=yes/# fs=yes/' >$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
# use Nimbus Sans L font for OSD (via fontconfig)
echo "fontconfig=yes" >>$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
echo "font=\"Nimbus Sans L\"" >>$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%if%{!?_without_menu:1}%{?_without_menu:0}
install -m 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%endif

# add mencoder.1 man-link
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/mencoder.1
echo ".so mplayer.1" > $RPM_BUILD_ROOT%{_mandir}/man1/mencoder.1

# fix up manpage encoding for newer distros
iconv -fiso8859-2 -tutf-8 DOCS/man/en/mplayer.1 >$RPM_BUILD_ROOT%{_mandir}/man1/mplayer.1

# install international manpages and man-links
for dir in cs de es fr hu it pl sv zh ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$dir/man1
	case $dir in
		bg)		ENC=CP1251 ;;
		cs|pl|hu)	ENC=iso8859-2 ;;
		ru)		ENC=KOI8-R ;;
		uk)		ENC=KOI8-U ;;
		zh)		ENC=gbk ;;
		*)		ENC=iso8859-1 ;;
	esac
	iconv -f$ENC -tutf-8 DOCS/man/$dir/mplayer.1 >$RPM_BUILD_ROOT%{_mandir}/$dir/man1/mplayer.1
	rm -f $RPM_BUILD_ROOT%{_mandir}/$dir/man1/mencoder.1
	echo ".so mplayer.1" > $RPM_BUILD_ROOT%{_mandir}/$dir/man1/mencoder.1
done

# include skin, icon and menu entry if building with GUI
%if%{!?_without_gui:1}%{?_without_gui:0}
install -m 755 g%{name} $RPM_BUILD_ROOT%{_bindir}/

install -d $RPM_BUILD_ROOT%{_datadir}/{pixmaps,applications}
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# change the icon filename
sed -i -e 's/mplayer-desktop\.xpm/gnome-mplayer.png/' etc/mplayer.desktop
desktop-file-install \
	--vendor livna \
	--add-category X-Livna \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	etc/%{name}.desktop

install -d $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/default
install -m 644 Blue/{*.{png,fnt},skin} $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/default
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post vidix -p /sbin/ldconfig

%postun vidix -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/mplayer
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/input.conf
%if%{!?_without_menu:1}%{?_without_menu:0}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%endif
# some useful tech docs
%doc DOCS/tech/hwac3.txt DOCS/tech/mpsub.sub DOCS/tech/slave.txt
%doc DOCS/tech/subcp.txt
%{?_with_dvdnav:%doc mplayer-dvdnav-patch/dvdnav.txt}
# HTML and XML-generated docs
%doc DOCS/HTML/en
%lang(de) %doc %dir DOCS/de
%lang(es) %doc %dir DOCS/HTML/es
%lang(fr) %doc %dir DOCS/HTML/fr
%lang(hu) %doc %dir DOCS/HTML/hu
%lang(it) %doc %dir DOCS/it
%lang(pl) %doc %dir DOCS/HTML/pl
%lang(ru) %doc %dir DOCS/HTML/ru
%lang(zh) %doc %dir DOCS/zh
# manpages
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%lang(zh) %{_mandir}/zh/man1/*
%dir %{_datadir}/%{name}

%if%{!?_without_gui:1}%{?_without_gui:0}
%files gui
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/gmplayer
%{_datadir}/pixmaps/gnome-%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/mplayer/Skin/default
%endif

%files -n mencoder
%defattr(0644,root,root,0755)
%doc DOCS/tech/encoding-tips.txt DOCS/tech/swscaler_filters.txt
%doc DOCS/tech/swscaler_methods.txt DOCS/tech/colorspaces.txt
%attr(755,root,root) %{_bindir}/mencoder

%if%{?_without_vidix:0}%{!?_without_vidix:1}
%files vidix
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_libdir}/libdha.so.*
%dir %{_libdir}/mplayer/vidix
%attr(755,root,root) %{_libdir}/%{name}/vidix/*.so
%endif

%changelog
* Mon Apr 17 2006 Petr Kritof <Petr|Kristof_CZ> 1.0pre8-0.6.20060406
- Rebuild with audio only

* Mon Apr 03 2006 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- experimental SSA/ASS renderer

* Sun Mar 26 2006 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- dropped -tools package
- use fontconfig font name in mplayer.conf instead of subfont.ttf symlink

* Sun Mar 12 2006 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- optional OpenAL support
- optional Polypaudio support

* Thu Jan 26 2006 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- support Fedora Core 5 test
- Require urw-fonts instead of supplying a font
- enable theora by default

* Sun Jan 22 2006 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- fix v4l2 support
- fix dvb HEAD support
- don't strip binaries upon make install, rpmbuild will do that
- dvdnav support (experimental)
- move vidix drivers to vidix subpackage
- speed up build by not building mencoder in GUI pass
- optional JACK support

* Mon Jan 02 2006 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- optional fribidi support
- fixed lzo support
- optional speex support
- optionally disable mga, xmga and tdfxfb
- reverse --with faad2 semantics
- don't build DVB HEAD support by default

* Sun Dec 25 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- BuildRequires ncurses-devel instead of libtermcap-devel

* Sun Nov 27 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- fbdev support (can be safely --enable'd in configure)
- optional directfb support (can be safely --enable'd)
- optional libcaca support
- optional LADSPA support
- optional ENCA support
- optional FAAC support
- optional libdv support
- optional x264 support
- optional joystick support
- optional LIRC support (can be safely --enable'd)
- optional VC1 support

* Sun Nov 13 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- new svgalib_helper

* Wed Nov 09 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- fixed desktop file location
- include default skin with GUI package
- disable SDL support by default
- simplify dependencies
- finally drop support for RedHat 7.3

* Wed Oct 19 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS

* Mon Oct 03 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- Fedora-compliant versioning

* Thu Sep 22 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS

* Sun Sep 04 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- use MPlayer's own .desktop file

* Sat Aug 20 2005 Dominik Mierzejewski <rpm@greysector.net>
- latest CVS
- sorted the --with/--without list alphabetically
- libtheora support
- toolame support
- merged printf patches
- twolame support
- updated BuildRequires

* Sat Aug 06 2005 Dominik Mierzejewski <rpm@greysector.net>
- specfile cleanups
- fix menu icon for GUI

* Wed Aug 03 2005 Dominik Mierzejewski <rpm@greysector.net>
- bumped epoch to 4 (to be in par with ATrpms)
- prepare for nightly builds

* Sun Jul 10 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- constrained vidix pkg deps
- fixed libmp3lame dependency in mplayer
- updated my e-mail address

* Thu Jul 07 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- updated AMR codecs

* Fri Jun 24 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS

* Wed Jun 15 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- updated patches
- DVB support

* Wed Apr 20 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- AMR-NB/WB support
- fix building on x86_64

* Sat Apr 16 2005 Dominik Mierzejewski <rpm@greysector.net> 1.0pre7-1
- 1.0pre7
- optional libdts support
- optional XvMC/nVidia support
- internal Tremor Vorbis decoder is the default now

* Sun Apr 10 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- updated patches

* Fri Mar 18 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- disable strict aliasing warnings
- standarize strlcpy/strlcat implementation
- include support for building under WB Linux (RHEL clone)
  (thanks to sjmudd)

* Thu Mar 03 2005 Dominik Mierzejewski <rpm@greysector.net>
- Aurora portability fixes (thanks to enderw at icm.edu.pl)

* Wed Mar 02 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- fixed a few compilation warnings
- fixed tremor warnings (http://trac.xiph.org/cgi-bin/trac.cgi/ticket/622)
- fixed zh manpage source encoding

* Tue Dec 28 2004 Dominik Mierzejewski <rpm@greysector.net> 1.0pre6-1
- 1.0pre6a
- reorganized and simplified package layout
- updated patches
- GUI requires the default skin (fix APT deps resolution)
- included S3 Savage VIDIX driver
- enable menu by default

* Tue Dec 14 2004 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- added Czech and Swedish manpages
- added VIA CLE266 VIDIX driver
- convert manpages to UTF-8 on newer RedHats and Fedora
- buildrequire make 3.80

* Fri Sep 24 2004 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS
- CVS snapshots now come in single file
- LIVE.com support
- fixed build with freedesktop

* Tue Jul 27 2004 Dominik Mierzejewski <rpm@greysector.net> 1.0pre5-2
- 7.3 RPMs got linked with non-distro fontconfig package, fixed

* Sun Jul 25 2004 Dominik Mierzejewski <rpm@greysector.net> 1.0pre5-1
- 1.0pre5
- removed obsolete patches
- changed versioning scheme
- support libavformat
- post-pre5 subreader fix
- post-pre5 get_path memleak fix (with very last-minute segfault fix)
- fix non-English manpages installation
- disable post-install stripping of binaries with debug build
- svgalib kernel helper support for vidix
- specfile cleanups

* Thu May 27 2004 Dominik Mierzejewski <rpm@greysector.net> 1.0pre4-4
- updated BuildRequires: to match current build environment
- ODML fixes from CVS

* Thu May 13 2004 Dominik Mierzejewski <rpm@greysector.net> 1.0pre4-3
- fix Provides: versioning

* Fri May 07 2004 Dominik Mierzejewski <rpm@greysector.net> 1.0pre4-2
- fix installation with rpm-4.2.2 on Fedora Core

* Thu May 06 2004 Dominik Mierzejewski <rpm@greysector.net> 1.0pre4-1
- 1.0pre4
- updated patches
- patch to fix sig11 with some RealMedia files
- patch to fix unwanted ODML aspect tag writing

* Tue Apr 27 2004 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot (http parser vuln fixed)
- updated & reordered patches
- fixed almost all compiler warnings
- added Italian manpage

* Tue Feb 17 2004 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- updated patches
- modified transparent GNOME icon by John Spray
- move all codecs to %{_libdir}/codecs
- (finally) fixed building on all RedHat and Fedora versions
- more consistent vidix driver naming
- added some missing Requires: for GUI

* Mon Feb 09 2004 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- updated patches
- patch for XML docs makefile to work with make < 3.80 (Gabucino)

* Sun Jan 25 2004 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- fixed building on RedHat 9 (patch & idea by enderw)
- updated patches
- fixed XML doc building

* Sat Jan 03 2004 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- updated patches

* Sun Dec 21 2003 Irenusz Lewkowicz <enderw@icm.edu.pl> 1.0pre3-2
- some changes needed to build under Fedora Core 1
- added sis vidix driver

* Sat Dec 13 2003 Dominik Mierzejewski <rpm@greysector.net> 1.0pre3-1
- 1.0pre3

* Tue Dec 02 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- updated warnings patch
- use gcc32-3.2.2 from kde-redhat project for building
- enable internal FAAD2 support by default (new gcc compiles it fine)

* Fri Nov 07 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- fixed FAAD detection (patch by Diego)
- updated patches

* Sun Oct 26 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- updated patches
- build HTML docs from XML docs

* Sun Oct 05 2003 Dominik Mierzejewski <rpm@greysector.net> 1.0pre2-1
- 1.0pre2
- added nvidia vidix driver

* Tue Sep 30 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- updated patches

* Sun Sep 21 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS snapshot
- updated patches

* Sat Sep 13 2003 Dominik Mierzejewski <rpm@greysector.net>
- 1.0pre1
- use external FAAD library for now (included 2.0rc1 doesn't compile
  with gcc-3.1 due to gcc bug)
- disable Samba support by default
- fixed a lot of printf format warnings
- fixed some fbdev2 missing includes

* Wed Aug 27 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS main branch
- removed obsolete patches
- small spec tweaks
- re-added some less technical docs
- disable svgalib, DXR3 and DirectFB by default 
- cosmetics 

* Mon Jul 21 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS main branch

* Mon Jun 23 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS main branch
- updated patches

* Thu Jun 19 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS main branch
- disable-qtx-codecs -> disable-qtx
- fixed docs paths
- fixed some new warnings

* Sun Jun 01 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS main branch
- ported specfile fixes from stable branch
- updated all patches
- fixed new warnings

* Mon Feb 18 2003 Dominik Mierzejewski <rpm@greysector.net> 0.90rc4-1
- 0.90rc4
- updated patches
- fixed building with libpng-1.2 on RH8
- added Type1 font
- updated main package descriptions

* Wed Jan 22 2003 Dominik Mierzejewski <rpm@greysector.net> 0.90rc3-2
- 0.90rc3
- updated patches
- FreeType enabled by default now

* Sat Jan 18 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches
- experimental patch by A'rpi to fix constant a/v desync with some DVDs
- enable vidix on other archs
- specfile cleanups

* Wed Jan 08 2003 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- support building under RH8.x
- updated patches
- support building with XMMS input plugin support and OSD menu
- Win32 DLL/DShow/DMO/QT, XAnim and Real codecs support requires my codec RPMs

* Wed Dec 25 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90rc2-1
- 0.90rc2
- updated patches
- added French and Chinese docs
- added Trident Cyberblade i1 vidix driver

* Sun Dec 22 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches

* Mon Dec 16 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed patches now included in upstream, updated others

* Thu Dec 12 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches
- don't disable overlapping subtitles by default, let user do it

* Sun Dec 08 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90rc1-1
- 0.90rc1
- updated patches

* Tue Dec 03 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- added a patch to turn off overlapping subtitles
- more warning fixes
- removed -Wall patch

* Sun Nov 24 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed patches now included in upstream
- included new experimental QT loader
- support full debug build (--with debug)

* Fri Nov 22 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches, fixed more warnings
- patch to add -Wall to CFLAGS if compiler supports it

* Thu Nov 14 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre10-1
- 0.90pre10

* Thu Nov 07 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches (removed those merged in upstream)

* Wed Nov 06 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches and added a *lot* of compiler warning fixes

* Fri Oct 25 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre9-1
- 0.90pre9
- enable jpeg support by default
- include version string patches for both cvs and release versions, switched
  at build time

* Thu Oct 24 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches (warning fixes included in upstream)

* Mon Oct 21 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches, new warning fixes
- removed DOCS/tech/ from file list (requested by A'rpi)
- added support for building with LZO

* Sun Sep 22 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches
- removed docs from mencoder package (already included in mplayer-common)

* Thu Sep 19 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre8-1
- 0.90pre8
- updated patches

* Sun Sep 15 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches
- moved Hungarian tech docs to Hungarian docs subdir

* Sun Sep 08 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- changed mplayer's version string (mplayer -v output) to indicate that it is the RPM version

* Thu Sep 05 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre7-1
- 0.90pre7
- updated patches
- added patch to fix locale issues with GUI (Dietrich Clau <dc2@clauss.dyndns.org>)
- updated file list
- reorganized package layout
- added GUI version in a subpackage

* Wed Sep 04 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches

* Mon Sep 02 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed patches which are now included in upstream

* Sun Sep 01 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed patches which are now included in upstream
- fixed some of the remaining compiler warnings

* Thu Aug 29 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- almost all compiler warning fixes now in upstream
- BuildRequires libtermcap-devel instead of ncurses-devel
- added -tools subpackage
- removed bogus unzip BuildRequires
- bumped minimum gcc version required to build to 3.1
- added a patch to allow specifying all paths via ./configure
- added support for freetype2
- removed explicit mplayer-vidix Requires from all vidix drivers
- fixed building with arts support
- fixed almost all remaining compiler warnings

* Wed Aug 28 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- GUI code compiler warning fixes now in upstream

* Mon Aug 26 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot

* Sun Aug 25 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- more compiler warning fixes (including GUI code)

* Sat Aug 24 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- many more compiler warning fixes

* Tue Aug 20 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot

* Sat Aug 17 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- fixed English manpage being accidentally overwritten (10l of cola bug) :->

* Thu Aug 15 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- changed URL:
- updated docs file list
- updated libdha filename

* Wed Aug 14 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot

* Mon Aug 12 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre6-2
- fix sig11 when loading wmv8 codec (gcc bug?)

* Sat Aug 10 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre6-1
- 0.90pre6
- updated warnings and GUI patches
- added CVS fix for crash after mute (Mark James <mrj@bigpond.net.au>)

* Sun Aug 04 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated warnings patch
- updated mencoder docs list

* Tue Jul 25 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated warnings patch

* Tue Jul 23 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot

* Sun Jul 21 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot

* Fri Jul 19 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated warnings and nodebug patches

* Mon Jul 15 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- fixed building with cdparanoia
- updated doc list
- updated GUI warnings patch

* Thu Jul 11 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- ulong typedef is needed on cygwin - warnings patch fixed

* Wed Jul 10 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- added cdparanoia support (optional)

* Mon Jul 08 2002 Dominik Mierzejewski <rpm@greysector.net>
- added mencoder.1 -> mplayer.1 man-links

* Fri Jul 05 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- introduced Permedia3 vidix driver
- updated warnings patches

* Mon Jul 01 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot

* Fri Jun 28 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- set xv as default vo in /etc/mplayer/mplayer.conf
- added "k6" to K6-optimized i586 RPMs to differentiate

* Mon Jun 24 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed confpath patch (now in upstream)
- removed almost whole rpm patch (now in upstream)

* Sun Jun 23 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- fixed building --without vidix
- updated docs list

* Sat Jun 22 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed bad hunks from warnings patch

* Sat Jun 15 2002 Dominik Mierzejewski <rpm@greysector.net>
- add -frename-registers to fully emulate -O3 (according to GCC 3.1 specs)

* Fri Jun 14 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed obsolete hunks from gui warnings patch (now in upstream)
- removed *many* obsolete hunks from warnings patch (now in upstream)

* Sat Jun 08 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre5-1
- 0.90pre5
- updated warnings patch

* Fri Jun 07 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- support building with arts
- moved some tech docs into mencoder package
- updated warnings patch

* Mon Jun 03 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- include both ix86 and alpha xanim patches in source package
- rebuilt with gcc3-3.1 to fix false glibc dependency

* Fri May 31 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated patches
- GUI requires PNG support (thanks to Samuel Liddicott <sam@liddicott.com>
  for pointing it out)
- removed font requirement

* Wed May 29 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- updated doc file list

* Tue May 28 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- removed some hunks from my warnings patch (now included in upstream)
- updated nodebug patch

* Mon May 13 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre4-1
- 0.90pre4
- cleaned up warnings patch
- cleaned up confpath patch
- changed xanim codec patches

* Sun May 12 2002 Dominik Mierzejewski <rpm@greysector.net>
- latest snapshot
- allow building K6-optimized i586 package
- disable GIF89a support by default
- use -O3 equivalent in CFLAGS

* Sun May 05 2002 Dominik Mierzejewski <rpm@greysector.net>
- latest snapshot

* Sat May 04 2002 Dominik Mierzejewski <rpm@greysector.net> 0.90pre3-1
- 0.90pre3
- updated warnings patch

* Tue Apr 30 2002 Dominik Mierzejewski <rpm@greysector.net>
- 0.90pre2
- do not build buggy vidix drivers
- support both x86 and alpha versions of RedHat 7.1 Powertools XAnim package

* Mon Apr 29 2002 Dominik Mierzejewski <rpm@greysector.net>
- latest snapshot
- skin and font in a separate package
- remove any arts references - it's not supported
- enable SDL (requested by Arpi)
- enable xanim (requested by Alex)
- disable jpeg and png support by default
- move vidix and its drivers into subpackages

* Sun Apr 28 2002 Dominik Mierzejewski <rpm@greysector.net>
- runtime CPU detection is disabled by default, so enable
- make more features optional at build time
- move skin to a subpackage

* Sat Apr 27 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020427 snapshot
- updated warnings patch
- prepare for public release

* Fri Apr 26 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020425 snapshot
- updated .nodebug patch

* Sat Apr 20 2002 Dominik Mierzejewski <rpm@greysector.net>
- support for building with xvid

* Fri Apr 19 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020419 snapshot
- updated warnings patch

* Wed Apr 17 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020417 snapshot
- updated warnings patch
- removed stale nasm BuildRequires:
- updated %%doc filelist

* Thu Apr 11 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020411 snapshot
- memcpy fix now included in tarball

* Wed Apr 10 2002 Dominik Mierzejewski <rpm@greysector.net>
- fix memcpy SIGSEGV (patch by Adam Sulmicki <adam@cfar.umd.edu>)

* Tue Apr 09 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020409 snapshot
- updated warnings patch

* Sat Apr 06 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020406 snapshot

* Tue Apr 02 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020402 snapshot

* Tue Mar 26 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020326 snapshot
- updated warnings patch

* Thu Mar 21 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020321 snapshot
- updated config patches
- rebuilt with divx4linux 5.0
- updated and reorganized all patches
- built with gcc3-3.0.4

* Thu Mar 14 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020314 snapshot
- include libdha and vidix drivers

* Fri Mar 08 2002 Dominik Mierzejewski <rpm@greysector.net>
- 20020308 snapshot
- patch to fallback to /etc/mplayer/input.conf
- rename mplayer-encoder to mencoder
- added Requires: for mencoder

* Mon Mar 04 2002 Dominik Mierzejewski <rpm@greysector.net>
- added ffmpeg support (0.4.6pre CVS version)
- specfile cleanups
- better per-arch optimizations

* Sun Mar 03 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest snapshot
- gui bcond
- borrowed some PLD patches and ideas
- added more docs and manuals

* Sun Jan 06 2002 Dominik Mierzejewski <rpm@greysector.net>
- updated to 0.60
- included skin and font

* Thu Dec 30 2001 Dominik Mierzejewski <rpm@greysector.net>
- updated to 0.60pre2 pre-release
- updated compilation warnings patch
- added a $DESTDIR patch

* Thu Dec 27 2001 Dominik Mierzejewski <rpm@greysector.net>
- updated to 0.60pre1 pre-release
- fixed some compilation warnings
- updated %%doc file list
- split encoder subpackage
- install config files in correct places

* Wed Oct 10 2001 Dominik Mierzejewski <rpm@greysector.net>
- updated to 0.50 release/CVS 20011009
- updated my Makefile patch
- simplified %%ifarch'd parts
- work around anti-gcc-2.96 "protection"
- updated file list
- added necessary BuildRequires: and Requires:
- added a patch to fix some compilation warnings

* Fri Oct 05 2001 Dominik Mierzejewski <rpm@greysector.net>
- updated to 0.50pre3

* Tue Oct 02 2001 Dominik Mierzejewski <rpm@greysector.net>
- updated to CVS snapshot 20011002

* Mon Sep 10 2001 Dominik Mierzejewski <rpm@greysector.net>
- updated to CVS snapshot 20010910

* Thu Sep 06 2001 Dominik Mierzejewski <rpm@greysector.net>
- built with divx4linux support

* Mon Sep 03 2001 Dominik Mierzejewski <rpm@greysector.net>
- updated to CVS snapshot 20010903
- removed obsoleted patches

* Fri Aug 31 2001 Dominik Mierzejewski <rpm@greysector.net>
- initial build
- added patch to fix missing includes
- fix Makefile for non-root builds
- added locale-dependent doc files
